Jump to content

EuroLinux 9 wydany


Recommended Posts

daty i wersje:
1 marca 2022 - EuroLinux 9 beta
13 czerwca 2022 - EuroLinux 9 wersja stabilna

W obu przypadkach ekipie EuroLinux udało się jako pierwszej zbudować system ze żródeł RHEL przed innymi dystrybucjami (jak Alma czy Rocky).
Z ważniejszych rzeczy które znajdziemy w Enterprise Linux 9, to przede wszystkim Gnome 40 oraz kernel 5.14, system będzie objęty wsparciem do 2032 roku.

Krótkie przypomnienie o EuroLinux: polski klon Red Hat Enterprise Linux, stworzony aby dostarczać system wraz ze wsparciem ale na prostych warunkach licencjonowania i za lepszą cenę. Po decyzji RH w sprawie CentOS-a, EuroLinux został "uwolniony" dla społeczności tzn. oferowany również w modelu darmowym. Co ciekawe, EuroLinux nie wymaga żadnych rejestracji ani w żaden sposób nie "śledzi" użytkowników. Pod względem paczek i tego co znajdziemy w IS,O system zachowuje wierność z RHEL (oczywiście poza brandingiem), drobnym niuansem mogą być paczki developerskie (tzw. buildroots), których nie ma w RHEL-u, a które mogą przydać się developerom tworzącym oprogramowanie na Linuksie... 

wersje paczek dostępne w EuroLinux 9 (RHEL9):
języki programowania:
Node.js 16
Perl 5.32
PHP 8.0
Python 3.9
Ruby 3.0
systemy kontroli wersji:
Git 2.31
Subversion 1.14
serwery www:
Apache HTTP Server 2.4.51
nginx 1.20
serwery proxy:
Varnish Cache 6.6
Squid 5.2
bazy danych:
MariaDB 10.5
MySQL 8.0
PostgreSQL 13
Redis 6.2
toolchain:
GCC 11.2.1
glibc 2.34
binutils 2.35.2
pozostałe:
GDB 10.2
Valgrind 3.18.1
SystemTap 4.6
Dyninst 11.0.0
elfutils 0.186
PCP 5.3.5
Grafana 7.5.11


linki:
https://fedora.pl/news/rhel-i-eurolinux-9-0-beta/
https://pl.euro-linux.com/blog/eurolinux-9-0-wydany/

Link to comment
Share on other sites

  • Jonshu changed the title to EuroLinux 9 wydany
  • 1 month later...

Chciałem dziś zainstalować tego eurolinuksa ale pomimo 2-krotnego pobrania obrazu iso tego systemu -

- najpierw pełnej wersji , która ma 6,7 GB i potem wersji ''minimal '' , która ma tylko 1.42 GB , w obydwu przypadkach w oknie instalatora wywala mi 

ten sam błąd  , widoczny na dołączonej fotce .

Instalator uruchamiam bezpośrednio z pliku iso z pendriva z programem Ventoy .

Aż nie chce mi się wierzyć , że obydwa kliki iso sąś uszkodzone i dlatego jest ten sam błąd .

A może powodem tego błędu jest coś innego  , z góry dzięki za porady .

IMG20220924123208.jpg

Link to comment
Share on other sites

To nie jest cały błąd. Można go zgłosić i wówczas na stosownej stronie internetowej będzie dostępny w całości. Nie wiem tylko na której (-: , ponieważ nie instalowałem nigdy Euro i nie wiem, czy instalator wyśle błąd na Bugzillę Red Hata, czy gdzieś indziej.

Link to comment
Share on other sites

Dzień dobry.

W nawiązaniu do naszej rozmowy uprzejmie proszę o sprawdzenie poniższych przypadków:

  • czy sytuacja ma miejsce na EuroLinux 8.6 - proszę pobrać pełne ISO, nie minimal, jako że tylko pełne posiada wsparcie dla WiFi
  • czy sytuacja ma miejsce na innych dystrybucjach Enterprise Linux 9 (RHEL, Rocky Linux, AlmaLinux)

Pozdrawiam

Edited by aronowski
Wsparcie dla WiFi
Link to comment
Share on other sites

No więc tego posta piszę z poziomu zainstalowanego EL 8.6  - zainstalowany jako ''workstation''.

Niestety kernel jest tu stary -

Cytuj

[[email protected] ~]$ uname -a
Linux linux.home 4.18.0-372.26.1.el8_6.x86_64 #1 SMP Sun Sep 18 18:12:41 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

Na tak starym kernelu nie działa karta wifi RTL8821CE .

Podłączyłem tymczasowo na usb starego dongla wifi opartego na chipsecie RTL8192CU i ten działa .

Co teraz będzie mi lepiej zrobić ; ściągnąć gdzieś z githuba linuksowy driver dla wifi i go skompilować  ,

czy zainstalować jądro 5.11 , lub nowsze . Na razie w domyślnych ustawieniach repozytoriów nic nie zmieniałem .

Doradźcie proszę - jak teraz lepiej  uruchomić  wifi ''rtl8821ce'' ?

Czy możecie mi wyjaśnić dlaczego na tej dystrybucji nie mona zainstalować pakietu DKMS ?

Cytuj

[[email protected] rtl8821ce-master]$ sudo ./dkms-install.sh
[sudo] hasło użytkownika darek:
About to run dkms install steps...
./dkms-install.sh: linia 15: dkms: nie znaleziono polecenia
./dkms-install.sh: linia 16: dkms: nie znaleziono polecenia
./dkms-install.sh: linia 17: dkms: nie znaleziono polecenia
Finished running dkms install steps.
[[email protected] rtl8821ce-master]$ sudo dnf makecache --refresh
EuroLinux BaseOS                                 13 kB/s | 3.8 kB     00:00    
EuroLinux AppStream                              26 kB/s | 4.2 kB     00:00    
EuroLinux PowerTools                             25 kB/s | 4.2 kB     00:00    
Utworzono pamięć podręczną metadanych.
[[email protected] rtl8821ce-master]$ sudo dnf -y install dkms
Ostatnio sprawdzono ważność metadanych: 0:00:19 temu w dniu pon, 26 wrz 2022, 20:53:42.
Brak wyników dla parametru: dkms
Błąd: Brak wyników: dkms
[[email protected] rtl8821ce-master]$ sudo yum -y install dkms
Ostatnio sprawdzono ważność metadanych: 0:01:08 temu w dniu pon, 26 wrz 2022, 20:53:42.
Brak wyników dla parametru: dkms
Błąd: Brak wyników: dkms
[[email protected] rtl8821ce-master]$

 

 

Link to comment
Share on other sites

I jeszcze taka rzecz ;

Cytuj

[[email protected] rtl8821ce-master]$ sudo dnf install dkms kernel-headers kernel-devel elfutils-libelf-devel unzip git
[sudo] hasło użytkownika darek:
Ostatnio sprawdzono ważność metadanych: 0:06:59 temu w dniu pon, 26 wrz 2022, 20:53:42.
Brak wyników dla parametru: dkms
Pakiet kernel-headers-4.18.0-372.26.1.el8_6.x86_64 jest już zainstalowany.
Pakiet kernel-devel-4.18.0-372.9.1.el8.x86_64 jest już zainstalowany.
Pakiet kernel-devel-4.18.0-372.26.1.el8_6.x86_64 jest już zainstalowany.
Pakiet elfutils-libelf-devel-0.186-1.el8.x86_64 jest już zainstalowany.
Pakiet unzip-6.0-46.el8.x86_64 jest już zainstalowany.
Pakiet git-2.31.1-2.el8.x86_64 jest już zainstalowany.
Błąd: Brak wyników: dkms
[[email protected] rtl8821ce-master]$

Znalazłem w sieci opis jak zainstalować nowsze jądro - 5.19 do centosa 8

Zastosowałem ten opis do eurolinux 8.6 i jak widać udało się :D

Link to comment
Share on other sites

10 godzin temu, slabypingwin napisał:

I jeszcze taka rzecz ;

Znalazłem w sieci opis jak zainstalować nowsze jądro - 5.19 do centosa 8

Zastosowałem ten opis do eurolinux 8.6 i jak widać udało się :D

Oracle Linux ma dokładnie to samo. Można zainstalować 5.19 i potem przełączać się w Grubie pomiędzy 5.19, a wersją zgodną z RHEL8.

Link to comment
Share on other sites

14 hours ago, slabypingwin said:

Czy możecie mi wyjaśnić dlaczego na tej dystrybucji nie mona zainstalować pakietu DKMS ?

DKMS jest w repozytorium EPEL.

Proszę je wpierw aktywować poleceniem:

sudo dnf install -y epel-release

Następnie można już zainstalować DKMS:

sudo dnf install -y dkms

 

Link to comment
Share on other sites

Kilka minut temu stało szięcoś niedobrego ; przy przeglądaniu tego wątku Firefox i kursor myszki uległy zamrożeniu .

A po naciśnięciu przycisku power na lapku - laptop się niby wyłączył , ale po ponownym naciśnięciu ''power''

o0d razu ukazała się ta sama strona firefoxa . Czyli była to tylko hibernacja systemu .

Ale nadal , nawet po dodaniu repo epel nie mogę zainstalować ''adb'' , ''fastboot'' , czy po prostu

''android-tools '' Nie ma takich pakietów . Gdy przed chwilą chciałem posłuchać radia na stronie rmfon lub polskastacja -

-to wywala brak kodeków . Jakie tu kodeki można doinstalować w tym eurolinuksie 8.6 ?

 

Link to comment
Share on other sites

Proszę dodać repozytorium RPM Fusion zgodnie z instrukcją na oficjalnej stronie repozytorium.

Wszystkie komendy do instalacji multimediów są tam podane, nie ma sensu ich tu przeklejać.

 

Rzeczywiście, nie widzę wymienionych pakietów androidowych dla Enterprise Linux 8. 

Nie jest to potwierdzone, ale mam powody podejrzewać, że zadziałałby pakiety z Fedory, na której Enterprise Linux 8 bazuje.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...